Author Topic: Blackbird firmware to fix LSI SAS Issue  (Read 379 times)

HalfBaked

  • Newbie
  • *
  • Posts: 1
  • Karma: +0/-0
    • View Profile
Blackbird firmware to fix LSI SAS Issue
« on: August 18, 2020, 05:22:45 pm »
Hi

I'm having the issue with petitboot crashing when I have an LSI SAS9211-8i card, with the latest IT firmware, present in the machine. The wiki page for the Talos 2 firmware says this is fixed with v2.01-BETA pnor firmware and provides a link to a pre-compiled one for the Talos 2. I'm trying to update my blackbird's firmware so I can use my LSI SAS card.

Using a VM running debian stretch I've compiled the raptor-v2.00 firmware successfully, using the instructions at https://wiki.raptorcs.com/wiki/Compiling_Firmware, but I can't compile the v2.0.1 or v2.0.15 branches which should have the fix I need.

Code: [Select]
$ git clone -b v2.0.1 --recursive https://scm.raptorcs.com/scm/git/blackbird-op-build
$ cd blackbird-op-build
$ git submodule update
$ . op-build-env
$ op-build blackbird_defconfig
make: Entering directory '/home/builduser/blackbird-op-build/buildroot'
make: *** No rule to make target 'blackbird_defconfig'. Stop.
make: Leaving directory '/home/builduser/blackbird-op-build/buildroot'

If someone could point me in the right direction it would be greatly appreciated.

Cheers
« Last Edit: August 18, 2020, 05:25:18 pm by HalfBaked »